List Jobs
curl --request GET \
--url https://api.novita.ai/gpu-instance/openapi/v1/jobs \
--header 'Authorization: <authorization>'import requests
url = "https://api.novita.ai/gpu-instance/openapi/v1/jobs"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://api.novita.ai/gpu-instance/openapi/v1/jobs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jobs": [
{
"Id": "<string>",
"user": "<string>",
"type": "<string>",
"envs": [
{
"key": "<string>",
"value": "<string>"
}
],
"state": {
"state": "<string>",
"error": "<string>",
"errorMessage": "<string>"
},
"logAddress": "<string>",
"createdAt": "<string>",
"instanceId": "<string>"
}
]
}Jobs
List Jobs
GET
/
gpu-instance
/
openapi
/
v1
/
jobs
List Jobs
API Description
Retrieve a paginated list of background jobs for GPU instances. You can filter by job ID, state, type, time range, and creators.Request Headers
string
必須
Bearer authentication format, for example: Bearer {{API Key}}.
Query Parameters
integer
Maximum number of items returned per page. Integer, value >= 0.
integer
Page number to retrieve. Integer, value >= 0.
string
Filter by job ID. String, length 0–255.
string
Filter by job state. One of:
pulling (preparing), running, fail, success, break.string
Filter by job type. One of:
saveImage, instanceMigrate, autoInstanceMigrate.integer
Start of time range (Unix timestamp in seconds). Integer, value >= 0. Default: 0.
integer
End of time range (Unix timestamp in seconds). Integer, value >= 0. Default: 0.
string
Filter by creator user ID.
cURL Example
curl --location --request GET 'https://api.novita.ai/gpu-instance/openapi/v1/jobs?pageSize=5&pageNum=1&jobId=&type=&state=&startTime=&endTime=&creators=' \
--header 'Authorization: Bearer {{API_KEY}}'
Response
object[]
必須
Job list.
非表示 properties
非表示 properties
string
必須
Job ID.
string
必須
The user ID who initiated the job.
string
必須
Job type. One of:
saveImage, instanceMigrate, autoInstanceMigrate.object[]
object
必須
string
Log URL for viewing job execution logs.
string
必須
Job creation time (Unix timestamp in seconds).
string
必須
Associated instance ID when the job was executed.
最終更新日 2026年5月15日
⌘I